Subject: bug#21354: closed (Re: bug#21354: "make check" failure in 0.8.3)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Sep 2015 17:23:02 +0000

Your bug report

#21354: "make check" failure in 0.8.3

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21354: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21354
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21354: "make check" failure in 0.8.3
From: [email-masked] (Ludovic Courtès)
To: Eric Hanchrow <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Sep 2015 19:22:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> Could you apply the given patches (you can take them from
> <http://git.savannah.gnu.org/cgit/guix.git/log/>, and then apply them
> with ‘patch -p1 < patch’ from the top-level source directory), and then
> run:
>
>   rm -rf test-tmp && make check
>
> and report the result?

I’m closing this bug.  Please reopen it if you think commits ef80ca9 and
54e515e did not fix it.

Ludo’.

Subject: "make check" failure in 0.8.3
From: Eric Hanchrow <[email-masked]>
To: [email-masked]
Date: Wed, 26 Aug 2015 19:54:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I created a Vagrant virtual machine using their "ubuntu/trusty64" box (
https://atlas.hashicorp.com/ubuntu/boxes/trusty64).

I connected to it via "vagrant ssh"; that gave me a shell prompt.  I can't
remember whether that gave me a root prompt or not; if it didn't, then I'd
have typed "sudo -s".

I ran "aptitude" and installed some packages in order to build guix from
source: g++ guile-2.0-dev libbz2-dev libgcrypt11-dev libsqlite3-dev sqlite3

I unpacked the 0.8.3 source tarball into /usr/local/src.

I typed "./configure", then "make", then "make check".

I saw

============================================================================

Testsuite summary for GNU Guix 0.8.3

============================================================================

# TOTAL: 44

# PASS: 41

# SKIP: 0

# XFAIL: 0

# FAIL: 3

# XPASS: 0

# ERROR: 0

============================================================================

See ./test-suite.log

Please report to [email-masked]

So ... here I am, reporting it!